#!/usr/bin/env python3

"""
clinical_explanation_label.py
"""

__author__ = ["Benjamin Mummery", "Tiago Sarmento"]
__credits__ = ["Benjamin Mummery", "Dónal Murray", "Tim Powell", "Tiago Sarmento"]
__license__ = "GPL"
__version__ = "0.0.1"
__maintainer__ = "Benjamin Mummery"
__email__ = "benjamin.mummery@stfc.ac.uk"
__status__ = "Development"

import logging
import os

from PySide2 import QtGui, QtWidgets



class ClinicalExplanationLabel(QtWidgets.QLabel):
    """
    ghdshghgdhgdhgd
    """

    def __init__(self, NativeUI, *args, **kwargs):
        super().__init__("", *args, **kwargs)

        self.__text_key = "clinical_explanation_label"

        self.setStyleSheet(
            "background-color:" + NativeUI.colors["page_background"].name() + ";"
            "border: none;"
            "color:" + NativeUI.colors["page_foreground"].name() + ";"
        )
        self.setWordWrap(True) 

    def localise_text(self, text: dict) -> int:
        """
        Change the language of text elements.
        """
        print(self.__text_key)
        self.setText(text[self.__text_key])
        pass