import pytest
import sys
from PySide2.QtWidgets import QApplication

sys.path.append("/home/pi/hev/NativeUI")
from NativeUI import NativeUI
from widget_library.battery_display_widget import BatteryDisplayWidget

RESOLUTION_NativeUI = [1620, 910]

@pytest.fixture(scope="session", autouse=True)
def nat_widget():
    app = QApplication(sys.argv)
    nat_widget = NativeUI(RESOLUTION_NativeUI)
    return nat_widget


@pytest.fixture(scope="session", autouse=True)
def bat_widget(nat_widget):
    return BatteryDisplayWidget(nat_widget)
